# Uses of Class
org.apache.lucene.search.KnnByteVectorQuery

Packages that use KnnByteVectorQuery
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of KnnByteVectorQuery in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type KnnByteVectorQuery
  Modifier and Type
  Method
  Description
  `static PatienceKnnVectorQuery`
  PatienceKnnVectorQuery.`fromByteQuery(KnnByteVectorQuery knnQuery)`
  Construct a new PatienceKnnVectorQuery instance for a byte vector field
  `static PatienceKnnVectorQuery`
  PatienceKnnVectorQuery.`fromByteQuery(KnnByteVectorQuery knnQuery, double saturationThreshold, int patience)`
  Construct a new PatienceKnnVectorQuery instance for a byte vector field
  `static SeededKnnVectorQuery`
  SeededKnnVectorQuery.`fromByteQuery(KnnByteVectorQuery knnQuery, Query seed)`
  Construct a new SeededKnnVectorQuery instance for a byte vector field
  Constructors in org.apache.lucene.search with parameters of type KnnByteVectorQuery
  Modifier
  Constructor
  Description
  ``
  `PatienceKnnVectorQuery(KnnByteVectorQuery knnQuery, double saturationThreshold, int patience)`
  ``
  `SeededKnnVectorQuery(KnnByteVectorQuery knnQuery, Query seed, Weight seedWeight)`